Depuis la version 5.0 de WordPress, votre CMS favori affiche des notifications sur l’état de santé de votre site.

Ces notifications concernent notamment des informations sur les versions logiciel de votre environnement d’hébergement.

Selon la version de PHP activée sur votre hébergement, le message ci-dessous peut s’afficher dans l’interface de gestion de WordPress de votre site.

« Mise à jour de PHP nécessaire. WordPress a détecté que votre site tourne sur une version non sécurisée de PHP. »

WordPress, mise à jour de PHP nécessaire

Comprendre le cycle de vie des versions de PHP

Les langages de programmation tels que PHP ont un cycle de vie et de maintenance limité dans le temps.

À partir de son lancement, une version de PHP va passer par les étapes suivantes :

  • Lancement initial
  • Support actif de la version (en général lancement + 2 ans)
  • Mise à jour de sécurité (en général lancement +3 ans)

Plus d’informations sur : PHP: Supported Versions

Lorsque votre service d’hébergement est activé sur nos serveurs, il dispose d’une version spécifique. À défaut de mise à jour par vos soins, la version peut devenir obsolète.

A noter que lorsqu’une version arrive en fin de vie, nous sommes amenés à la démobiliser. Les clients qui utilisent des versions obsolètes sont contactés et invités à mettre à jour leur version.

Comment mettre à jour la version de PHP ?

One2Net propose au fur et à mesure de leur disponibilité les principales versions de PHP. Dans le cadre de notre politique de sécurité, nous maintenons à jour ces différentes versions pour suivre les évolutions de performances et de sécurité. Vous avez donc le choix d’exécuter la version de PHP de votre choix parmi les versions proposées.

Changer de version de PHP est une opération simple, rapide qui ne nécessite pas de compétence technique.

Vous pouvez effectuer ce changement à partir de votre espace client One2Net.

Pour savoir comment mettre à jour PHP, vous pouvez vous référer au didacticiel : mettre à jour la version de PHP

Attention : la mise à jour de PHP peut casser votre site !

Au-delà de ce titre alarmiste et pour être plus précis, votre site peut ne pas être compatible avec une nouvelle version de PHP qui n’existait peut-être pas encore lorsque votre site a été mis en ligne.

Il faut comprendre que votre site réalisé avec WordPress fonctionne en fait avec :

  • WordPress
  • Un thème
  • Une ou plusieurs extensions

Ces 3 couches d’applications fonctionnent ensemble et sont interprétées par le langage PHP pour faire fonctionner votre site et afficher ses contenus. Chacune de ces entités dispose d’une version et fait normalement l’objet de mises à jour régulières.

Si votre site utilise des versions obsolètes ou non maintenues de WordPress, thème ou extensions, il est possible que le fonctionnement de votre site soit affecté lors d’un changement de version PHP.

Avant de mettre à jour PHP sur votre hébergement, il vous appartient de vérifier si les différents éléments de votre site sont à jour et compatibles avec la nouvelle version de PHP que vous vous apprêtez à activer. Ces informations sont généralement affichées dans le changelog de l’éditeur de votre thème et des extensions.